<div class="set-inactive-popover">
  <div class="header">
    <span>Ändra status till Inaktuell</span>
  </div>
  <div class="body">
    <p>Personen markeras som "Inaktuell". Inga meddelanden skickas.</p>
    <div class="text-input">
      <p class="describe-text">Anteckning till loggen (frivilligt)</p>
      <textarea [(ngModel)]="textContent" class="text-input-area"></textarea>
    </div>
    <div class="buttons">
      <span (click)="closeHandle()" style="cursor: pointer; color: rgb(0, 86, 215)">Avbryt</span>
      <button (click)="setStatusInactive($event)" id="set-inactive-button">Markera som Inaktuell</button>
    </div>
  </div>
</div>

<style>
  .body>p {
    margin-top: 0;
  }

  .text-input-area {
    resize: none;
    width: 100%;
    height: 3em;
    font-family: 'Open Sans', sans-serif;
    font-size: 1em;
    margin-bottom: 1em;
  }

  #set-inactive-button {
    font-family: 'Open Sans', sans-serif;
    font-size: 0.9em;
    background-color: #BD2130;
    color: white;
    border: none;
    padding: 0.5em;
    border-radius: 5px;
    float: right;
    font-weight: bold;
  }

  .describe-text {
    color: rgb(193, 193, 193);
  }

  .body {
    padding: 1em;
  }

  .set-inactive-popover {
    position: fixed;
    right: 7px;
    bottom: 7px;
    width: 25rem;
    background: white;
    color: black;
    z-index: 20;
    border: 2px solid #000;
    border-radius: 5px;
  }

  .header {
    font-weight: bold;
    height: 2em;
    background: #ccc;
    padding-left: 0.3em;
    padding-top: 0.3em;
  }
</style>
